net.dontdrinkandroot.wicket.bootstrap.css

## Enum BadgeStyle

- java.lang.Object
- - java.lang.Enum<BadgeStyle>
  - - net.dontdrinkandroot.wicket.bootstrap.css.BadgeStyle

All Implemented Interfaces:
  Serializable, Comparable<BadgeStyle>, net.dontdrinkandroot.wicket.css.CssClass

    public enum BadgeStyle
    extends Enum<BadgeStyle>
    implements net.dontdrinkandroot.wicket.css.CssClass

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IMPORTANT`
`INFO`
`INVERSE`
`SUCCESS`
`WARNING`

### Method Summary

Methods
`String` `getClassString()`
`static BadgeStyle` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BadgeStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IMPORTANT

    public static final BadgeStyle IMPORTANT

#### INFO

    public static final BadgeStyle INFO

#### INVERSE

    public static final BadgeStyle INVERSE

#### SUCCESS

    public static final BadgeStyle SUCCESS

#### WARNING

    public static final BadgeStyle WARNING

### Method Detail

#### values

    public static BadgeStyle[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BadgeStyle c : BadgeStyle.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BadgeStyle valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getClassString

    public String getClassString()

Specified by:
  `getClassString` in interface `net.dontdrinkandroot.wicket.css.CssClass`